spring:
  # 数据源配置
  datasource:
    dynamic:
      p6spy: true
      hikari:
        connection-timeout: 30000
        max-lifetime: 1800000
        max-pool-size: 15
        min-idle: 5
        connection-test-query: select 1
        pool-name: HyperionHikariCP
      primary: master
      strict: false
      datasource:
        master:
          driver-class-name: com.p6spy.engine.spy.P6SpyDriver
          url: jdbc:p6spy:mysql://172.18.71.27:3306/gdt_auto?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Shanghai&useSSL=false&allowPublicKeyRetrieval=true
          username: root
          password: Moka666!@#$Moka
      # Druid连接池配置
      druid:
        initial-size: 5
        min-idle: 5
        max-active: 20
        max-wait: 60000
        time-between-eviction-runs-millis: 60000
        min-evictable-idle-time-millis: 300000
        validation-query: SELECT 1
        test-while-idle: true
        test-on-borrow: false
        test-on-return: false
        pool-prepared-statements: true
        max-pool-prepared-statement-per-connection-size: 20
  
  # Redis配置
  data:
    redis:
      host: 172.18.71.26
      port: 6379
      password: Jch9shshl
      database: 14
      lettuce:
        pool:
          max-active: 8
          max-idle: 8
          min-idle: 0
          max-wait: -1ms
      timeout: 3000ms

# 阿里云OSS配置（本地环境）
aliyun:
  oss:
    access-key-id: LTAI5tHxyfkjLtupaxPSZHPU
    access-key-secret: xPQBp5WnH2Ei57xjpeRvbVKnKOrgH7
    bucket-name: ad-auto
    endpoint: oss-cn-shanghai.aliyuncs.com
    cdn-domain: https://ad-autoss.luzie.cn
